local threadcode = "/thread.lua"
local thread
thread = love.thread.newThread(threadcode)
thread:start()
love.timer.sleep(5) -- give python time to start up.
local socket = require("socket")

local client = socket.connect("127.0.0.1", 12345)

if client then
    print("Lua: Connected to Python script!")

    -- You can send messages to Python using client:send("your_message")
    client:send("Hello from Love2D!")

    -- Close the connection when done
    client:close()
else
    print("Lua: Failed to connect to Python script.")
end