# python_script.py
import socket

server = socket.socket(socket.AF_INET, socket.SOCK_STREAM)
server.bind(("127.0.0.1", 12345))
server.listen(1)

print("Python: Python script waiting for connection...")

connection, address = server.accept()
print(f"Python: Connected by {address}")

while True:
    data = connection.recv(1024)
    if not data:
        break
    print(f"Python: Received data: {data.decode()}")

connection.close()
